Current-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkgsrc and openssl on NetBSD current

On Tuesday 2009-08-04 06:43 +0200, Bernd Ernesti output:
:On Tue, Aug 04, 2009 at 10:05:22AM +1000, Geoff Wing wrote:
:> e.g. for lang/php5 try this patch (www/ap-php needs something
:> similar (need to change the path for the patch) since it
:> extracts the whole php archive and does stuff with that as well).
:That patch works with the version of openssl in NetBSD 4 and 5 or
:other supported pkgsrc OS too?

Ah, well, I should have made that point clearer.  I don't know.

Just checked.  It doesn't appear in any openssl 0.9.8* versions so
has only appeared in the 1.0.* (beta) version.  Therefore it's going
to need a version check for openssl in each patch (unless there's
some other magic way of doing it with pkgsrc - conditional patches
via Makefile?).


Home | Main Index | Thread Index | Old Index